      SUBROUTINE rtoc(real_v, char_v, n)
C                                                                               
C**** SUBROUTINE rtoc - To convert from 64-bit REAL to CHAR
C                                                                               
C        S.Saarinen     ECMWF     27/6/95                                  
C                                                                               
C**   INTERFACE                                                                 
C     ---------                                                                 
C                                                                               
C        CALL rtoc(real_v, char_v, n)
C     WHERE:
C           real_v = 64-bit REAL-vector (INPUT) of n elements
C                    each holding one ASCII-value [0..255]
C                    of a character
C           char_v = A character-string (OUTPUT) where the result of 
C                    each ASCII to CHAR()-conversion goes
C           n      = length of the REAL-vector and character-string
C                                                                               
C                                                                               
C-----------------------------------------------------------------------        
C                                                                               
      implicit none
      integer n
c-- The following MUST be 64-bit REALs [i.e. REAL(8) on Fortran-90]
C#ifdef F90
C      real(8) real_v(n)
C#else
      real  real_v(n)
C#endif
      character*(*) char_v
      integer i

      do i=1,n
         char_v(i:i) = char(int(real_v(i)))
      enddo
      END
